### Method

# Cogl Pipeline set_cull_face_mode

#### Declaration [src]

    void
    cogl_pipeline_set_cull_face_mode (
      CoglPipeline* pipeline,
      CoglPipelineCullFaceMode cull_face_mode
    )

#### Description [src]

Sets which faces will be culled when drawing. Face culling can be used to increase efficiency by avoiding drawing faces that would get overridden. For example, if a model has gaps so that it is impossible to see the inside then faces which are facing away from the screen will never be seen so there is no point in drawing them. This can be achieved by setting the cull face mode to `COGL_PIPELINE_CULL_FACE_MODE_BACK`.

Face culling relies on the primitives being drawn with a specific order to represent which faces are facing inside and outside the model. This order can be specified by calling cogl_pipeline_set_front_face_winding().

#### Parameters

`cull_face_mode`

  Type: `CoglPipelineCullFaceMode`

  The new mode to set.